OpenTTD Source: SlCompanyOldEconomy Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions
SlCompanyOldEconomy Class Reference
Inheritance diagram for SlCompanyOldEconomy:

## Public Member Functions
void | Save (CompanyProperties *c) const override
void | Load (CompanyProperties *c) const override
void | LoadCheck (CompanyProperties *c) const override
Public Member Functions inherited from SlCompanyEconomy
void | FixPointers (CompanyProperties *c) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlCompanyEconomy, CompanyProperties >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description
Static Public Attributes inherited from SlCompanyEconomy
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _company_economy_compat

## Detailed Description

Definition at line 354 of file company_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/company_sl.cpp